## ncbi-tools6 6.1.20070822

=== network/wwwblast/Src/Makefile ===
--- 
+++ 
@@ -19,16 +19,16 @@
 #THREAD_LIBS =
 
 #
-CC=cc 
+CC=gcc 
 
-BLAST_LIBS = -lncbitool -lncbiobj -lncbi $(NCBI_OTHERLIBS)
+BLAST_LIBS = -lblastapi -lncbitool -lblastcompadj -lncbiobj -lblast -lncbi $(NCBI_OTHERLIBS)
 # For standalone model
 ALL_LIBS = -lncbidesk -lvibgif $(BLAST_LIBS) $(THREAD_LIBS)
 # For NCBI Client-server model
 ALL_LIBS_CS = -lncbitxc2 -lncbiid1 -lnetblast -lnetcli $(ALL_LIBS)
 BL2_LIBS = $(BLAST_LIBS)
 # For Blast 2 sequences client/server
-BL2_LIBS_CS = -lncbiid1 -lnetcli $(BLAST_LIBS)
+BL2_LIBS_CS = -lncbiid1 -lnetcli $(BLAST_LIBS) -lblastcompadj
 
 BL2_DEFINE = -DBL2SEQ_STANDALONE
