## ncbi-tools6 6.1.20170106

=== biostruc/nrpdb/Makefile ===
#
# $Id: Makefile,v 1.1 2005/07/26 17:27:00 chenj Exp $
#
# Author: Jie Chen
# Build nrpdbsrv.cgi
#
# $Log: Makefile,v $
# Revision 1.1  2005/07/26 17:27:00  chenj
# Linux version
#
#
#
#
#


APP_PROJ = NrPDB

srcdir = /net/cis/export/home/web/public/htdocs/Structure/chenj/vast/NrPDB
include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Debug/build/Makefile.meta
#include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Release/build/Makefile.meta
