=== debian/changelog ===
ncbi-tools6 (6.1.20170106-4) unstable; urgency=medium

  * debian/compat: Advance to Debhelper 11.
  * debian/control:
    - Mark *-data reshuffling with Breaks, not just Replaces. (Closes: #902364.)
    - Build-Depends: Advance to debhelper (>= 11~).
  * debian/copyright: Fix years (packaging through 2018, upstream through 2017).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 25 Jun 2018 21:36:10 -0400

ncbi-tools6 (6.1.20170106-3) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Added autopkgtest for ncbi-tools-bin. 
    Closes: #879619

  [ Aaron M. Ucko ]
  * debian/{*.gif,ncbi2.css}: Add local copies of NCBI resources used by HTML
    docs.
  * debian/control:
    - Repoint Vcs-* at salsa.debian.org.
    - Standards-Version: 4.1.4 (already compliant).
    - Rules-Requires-Root: no (confirmed safe).
  * debian/{libncbi6,ncbi-tools-x11}.docs: Install resources from debian/ as
    needed.
  * debian/source/format: Set to 3.0 (quilt) to accommodate binary test data.
  * debian/source/include-binaries: List debian/tests/test-data/nc0305.aso.gz
    and (individually) debian/*.gif.
  * debian/source/options: single-debian-patch (tracking changes purely
    with git for now).
  * debian/source/patch-header: "Combined patches from git."
  * demo/{findspl,taxblast_main}.c: Call SOCK_SetupSSL (accidentally missed
    earlier).
  * doc/{dispatcher,firewall}.html: Patch to use (newly supplied) local
    resources, addressing a generic privacy breach caught by Lintian.
  * make/make{demo,net}.unx: Link findspl and taxblast against $(LIBTLS)
    and $(GNUTLS_LIBS).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Jun 2018 12:06:15 -0400

ncbi-tools6 (6.1.20170106-2) unstable; urgency=medium

  * debian/control: Correctly version ncbi-tools-bin's Breaks/Replaces
    on blast2 over taxblast move.  (Closes: #854329.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 05 Feb 2017 21:40:38 -0500

ncbi-tools6 (6.1.20170106-1) unstable; urgency=medium

  * New upstream release (after all).
  * debian/*.symbols: Update accordingly.
  * doc/man/cleanasn.1: Update accordingly.
  * debian/copyright: Update years.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 09 Jan 2017 22:35:15 -0500

ncbi-tools6 (6.1.20160908-2) unstable; urgency=medium

  * Stop building the transitional blast2 package (taken over by ncbi-blast+)
    and retire its remaining vestiges (the bibliograpy and autopkgtest setup).
  * connect/ncbi_util.c: Fix a FTBFS on hurd-i386 by conditionally using a
    more appropriate header for PAGE_SIZE (<mach/vm_param.h>).
  * Reinstate taxblast (now part of ncbi-tools-bin, and correctly documented
    as a postprocessing tool), accidentally dropped with the rest of blast2.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 06 Dec 2016 18:37:19 -0500

ncbi-tools6 (6.1.20160908-1) unstable; urgency=medium

  [ Andreas Tille ]
  * (Final) new upstream release, incorporating most Debian changes, adding
    HTTPS support, and desupporting legacy BLAST.  (Closes: #846477, #821075.)
  * cme fix dpkg-control
  * drop -dbg packages since these will be created automatically
  * Fixed watch file (thanks to Eriberto <eriberto@eriberto.pro.br>)
  * DEP5

  [ Aaron M. Ucko ]
  * Reinstate direct upstream changes lost in merge.
  * Ensure that apps that could potentially hit the network can use HTTPS.
    (Don't bother with anything that only supports the old Entrez1 service.)
  * Allow Entrez2 over HTTPS by switching to the Entrez2s service, making
    HTTPS connections by default, and allowing HTTPS POST redirections from
    raw IP addresses (which NCBI's certificates don't cover).
  * Let GCC take care of setting __DATE__ and __TIME__ per SOURCE_DATE_EPOCH.
  * api/sqnutil3.c: Substitute strcpy for sprintf with no extra
    arguments, which our hardening flags disallow.
  * connect/ncbi_gnutls.c: Suppress strict version check.
  * debian/*.symbols: Update for new release.
  * debian/{blast2.*,control,rules}, make/makedemo.unx: Turn blast2 into an
    architecture-independent transitional package for ncbi-blast+-legacy.
    (Retire blastcl3, which is obsolete.)
  * debian/{compat,control}: Advance to Debhelper compat level 10.
  * debian/control: Drop unversioned B-D-I on dpkg-dev left behind by cme.
  * debian/{control,rules}:
    - Build against GNU TLS.
    - Retune ncbi-data/ncbi-rrna-data split.
  * debian/libncbi6(-dev).install, make/makeshlib.unx: Account for new
    libconnssl library.
  * debian/rules:
    - Drop override_dh_strip-arch target now that -dbg packages are gone.
    - Fix typo in name of override_dh_makeshlibs-arch target from #806084.
  * debian/{rules,.gitignore}: Stop generating legacy menu files for
    non-interactive tools (already retired in favor of XDG desktop files
    for true graphical applications). 
  * debian/rules, make/make{demo,net}.unx: Substitute -Wl,--as-needed
    for manual linkage cleanups.
  * demo/tbl2asn.c: Complain about date only if failing for other reasons.
    (Closes: #821075.)
  * doc/man/blastcl3.1: Fix a stray reference to retired programs.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Dec 2016 21:33:55 -0500

ncbi-tools6 (6.1.20120620-12) unstable; urgency=medium

  * Team upload.
  * Autopkgtest added.

 -- Canberk Koç <canberkkoc@gmail.com>  Sat, 20 Aug 2016 10:20:38 +0300

ncbi-tools6 (6.1.20120620-11) unstable; urgency=medium

  * Team upload.
  * Add support for SOURCE_DATE_EPOCH, making packages building BLAST
    indexes reproducible (Closes: #834139)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 12 Aug 2016 20:29:37 +0000

ncbi-tools6 (6.1.20120620-10) unstable; urgency=medium

  * debian/rules: chmod +x private scripts in the targets that use them.
    (Doing so in override_dh_auto_build-arch broke indep-only builds.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Dec 2015 01:19:59 -0500

ncbi-tools6 (6.1.20120620-9) unstable; urgency=medium

  * debian/control: Split most of Build-Depends into Build-Depends-Arch.

