=== debian/control ===
Source: ncbi-tools6
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Aaron M. Ucko <ucko@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: icoutils,
                     imagemagick
Build-Depends-Arch: csh | c-shell,
               libglu1-mesa-dev | libglu-dev,
               libgnutls28-dev | gnutls-dev,
               libmotif-dev,
               libpcre3-dev,
               libpng-dev,
               libxmu-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-tools6
Vcs-Git: https://salsa.debian.org/med-team/ncbi-tools6.git
Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/
Rules-Requires-Root: no

Package: libncbi6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ncbi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: NCBI libraries for biology applications
 The NCBI Software Development Toolkit was developed for the production and
 distribution of GenBank, Entrez, BLAST, and related services by NCBI.  It
 allows you to read and write NCBI ASN.1 files, builds Blast or Entrez, etc.

Package: libncbi6-dev
Architecture: any
Multi-Arch: same
Depends: libncbi6 (= ${binary:Version}),
         ${misc:Depends}
Recommends: ncbi-tools-bin
Provides: ncbi-tools-dev
Description: NCBI libraries for biology applications (development files)
 This package supplies development versions of NCBI's non-graphical C
 libraries, along with the corresponding header files.

Package: ncbi-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: ncbi-rrna-data (<< 6.1.20160908)
Replaces: ncbi-rrna-data (<< 6.1.20160908)
Description: Platform-independent data for the NCBI toolkit
 This package contains support files needed by the NCBI toolkit on all
 platforms.

Package: ncbi-rrna-data
Architecture: all
Multi-Arch: foreign
Section: science
Depends: ncbi-data,
         ${misc:Depends}
Recommends: ncbi-blast+
Breaks: ncbi-data (<< 6.1.20160908)
Replaces: ncbi-data (<< 6.1.20160908)
Description: large rRNA BLAST databases distributed with the NCBI toolkit
 This package contains some ribosomal RNA BLAST databases distributed
 as part of the NCBI C Toolkit that are too large and specialized to
 include in ncbi-data.  Specifically, it contains the databases
 Combined16SrRNA, LSURef_93.fasta, LSU_nomito_nochloro_noplastid,
 SSURef_93.fasta, and SSU_nomito_nochloro_noplastid, along with alias
 files to facilitate searching some of them in conjunction with
 databases included in ncbi-data.

Package: ncbi-tools-bin
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libvibrant6b,
          ncbi-blast+,
          ncbi-tools-x11
Breaks: blast2 (<< 1:2.2.26.20160908),
        libncbi6-dev (<< 6.1.20110713-3~)
Replaces: blast2 (<< 1:2.2.26.20160908),
          libncbi6-dev (<< 6.1.20110713-3~)
Description: NCBI libraries for biology applications (text-based utilities)
 This package includes various utilities distributed with the NCBI C SDK,
 including the development tools asntool and errhdr (formerly of
 libncbi6-dev).  None of the programs in this package require X; you can
 find the X-based utilities in the ncbi-tools-x11 package.  BLAST and
 related tools now come from a separate source base, corresponding to the
 ncbi-blast+ and ncbi-blast+-legacy packages.

Package: ncbi-tools-x11
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         libvibrant6b (<< ${source:Upstream-Version}.1),
         libvibrant6b (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ncbi-tools-bin
Description: NCBI libraries for biology applications (X-based utilities)
 This package includes some X-based utilities distributed with the
 NCBI C SDK: Cn3D, Network Entrez, Sequin, ddv, and udv.  These
 programs are not part of ncbi-tools-bin because they depend on
 several additional library packages.

Package: libvibrant6b
Architecture: any
Multi-Arch: same
Section: libs
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libvibrant6,
           libvibrant6a
Replaces: libvibrant6,
          libvibrant6a
Description: NCBI libraries for graphic biology applications
 This is the library for those who just want to run Vibrant applications.
 It also includes a wrapper (vibrate) that allows many NCBI applications to
 provide a GUI for selecting options.

Package: libvibrant6-dev
Architecture: any
Multi-Arch: same
Depends: libglu1-mesa-dev | libglu-dev,
         libmotif-dev,
         libncbi6-dev (= ${binary:Version}),
         libvibrant6b (= ${binary:Version}),
         libxmu-dev,
         ${misc:Depends}
Description: NCBI libraries for graphic biology applications (development files)
 Vibrant allows you to develop portable (Motif, MS-Windows, Mac-OS) graphic
 biological applications.
