## ncbi-tools6 6.1.20170106%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,25 @@
 #!/usr/bin/make -f
-DEB_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
+include /usr/share/dpkg/pkg-info.mk
 export NCBI_VERSION_FULL=$(DEB_VERSION)
-export NCBI_VERSION=$(word 1, $(subst -, ,$(NCBI_VERSION_FULL)))
+export NCBI_VERSION=$(DEB_VERSION_EPOCH_UPSTREAM)
 export NCBI_VERSION_MAJOR=$(word 1, $(subst ., ,$(NCBI_VERSION)))
 export NCBI_VERSION_MINOR=$(NCBI_VERSION:$(NCBI_VERSION_MAJOR).%=%)
 export NCBI_VERSION_DATE =$(word 3, $(subst ., ,$(NCBI_VERSION)))
 export NCBI_VERSION_DEBREL=$(word 2, $(subst -, ,$(NCBI_VERSION_FULL)))
+export NCBI_VERSION_SHLIB=$(NCBI_VERSION:%+dfsg1=%)
+
+export CN3D_VERSION=$(shell sed -ne 's/.*Version \([1-9][0-9.]*\).*/\1/p' \
+                      cn3d/cn3dwin.c | head -n1)
+export CN3D_VERSION_DATED=$(CN3D_VERSION).$(NCBI_VERSION_DATE)
+export CN3D_VERSION_FULL=$(CN3D_VERSION_DATED)-$(NCBI_VERSION_DEBREL)
 
 testversions:
 	env | fgrep NCBI_VERSION
+	env | fgrep CN3D_VERSION
 
 # Set these here, rather than using the csh hackage that passes for an
 # upstream build system.  Mostly taken from ../platform/{ppc,}linux.ncbi.mk.
-CC = gcc # -pipe
+include /usr/share/dpkg/buildtools.mk
 VIBFLAG = -DWIN_MOTIF
 VIBLIBS = -lXm -lXmu -lXt -lX11 # -lXext # -lXp
 OTHERLIBS = -lm
@@ -30,7 +37,7 @@
 endif
 CFLAGS_PIC = $(filter-out -fPIE,$(CFLAGS)) -fPIC
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
-LDFLAGS1 := $(CFLAGS) $(LDFLAGS) -Wl,--as-needed
+LDFLAGS1 := $(CFLAGS) $(LDFLAGS) -Wl,--as-needed -Wl,-rpath-link,../shlib
 
 OGL_TARGETS = Cn3D
 OGL_LIBVARS = LIB400=libvibrantOGL.a LIB3000=libncbicn3dOGL.a
@@ -45,12 +52,6 @@
 
 export NCBI_LBSM_SRC=ncbi_lbsmd_stub.c
 export NCBI_LBSM_OBJ=ncbi_lbsmd_stub.o
-
-ifeq ($(LD_LIBRARY_PATH),)
-export LD_LIBRARY_PATH:=$(CURDIR)/shlib
-else
-export LD_LIBRARY_PATH:=$(CURDIR)/shlib:$(LD_LIBRARY_PATH)
-endif
 
 VIB = Psequin sbtedit udv ddv taxblast idfetch asn2gb tbl2asn gene2xml \
       entrez2 gbseqget asn2all asn2asn asn2fsa asn2xml asndisc asnmacro \
@@ -120,23 +121,23 @@
 
 override_dh_auto_install-arch:
 	install -d $(destlibdir)
-	install -m 644 lib/* shlib/*.so.$(NCBI_VERSION) $(destlibdir)
+	install -m 644 lib/* shlib/*.so.$(NCBI_VERSION_SHLIB) $(destlibdir)
 	for x in ncbiacc ncbiCacc netentr; do \
-	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION) && \
+	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION_SHLIB) && \
 	    ln -s libncbiNacc.so.$(NCBI_VERSION_MAJOR) \
 	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
 	    ln -s libncbiNacc.so $(destlibdir)/lib$$x.so; \
 	done
 	for x in ncbicn3d vibrant; do \
-	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION) && \
+	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION_SHLIB) && \
 	    ln -s lib$${x}OGL.so.$(NCBI_VERSION_MAJOR) \
 	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
 	    ln -s lib$${x}OGL.so $(destlibdir)/lib$$x.so; \
 	done
 	rm -f $(destlibdir)/libregexp.*
 	cd $(destlibdir) && \
-	for f in *.so.$(NCBI_VERSION); do \
-	    base=`basename $$f .so.$(NCBI_VERSION)` && \
+	for f in *.so.$(NCBI_VERSION_SHLIB); do \
+	    base=`basename $$f .so.$(NCBI_VERSION_SHLIB)` && \
 	    ln -s $$f $$base.so.$(NCBI_VERSION_MAJOR) && \
 	    ln -s $$f $$base.so; \
 	done
@@ -192,6 +193,7 @@
 
 override_dh_installmenu-arch:
 	chmod +x debian/makemenu
+	debian/makemenu debian/ncbi-cn3d.install
 	debian/makemenu debian/ncbi-tools-x11.install
 #	debian/makemenu -v debian/ncbi-tools-bin.install
 	dh_installmenu
@@ -205,10 +207,3 @@
 	install -m 644 doc/fa2htgs/README \
 	    debian/ncbi-tools-bin/usr/share/doc/ncbi-tools-bin/README.fa2htgs
 	install -m 644 sequin/README \
-	    debian/ncbi-tools-x11/usr/share/doc/ncbi-tools-x11/README.sequin
-
-override_dh_installman:
-	dh_link # otherwise runs too late to influence debian/installman
-	chmod +x debian/installman
-ifneq "" "$(filter ncbi-tools-bin, $(shell dh_listpackages))"
-	debian/installman ncbi-tools-bin
